package cn.com.taiji.track.dto;

import org.geotools.feature.simple.SimpleFeatureBuilder;
import org.opengis.feature.simple.SimpleFeature;

public abstract class IGeomesaTrackDTO {

    public String group;

    public Integer expirySeconds;

    public void setKafkaConsumerGroup(String group) {
        this.group = group;
    }
    public String getKafkaConsumerGroup() {
        return this.group;
    }

    public void setExpirySeconds(Integer expirySeconds) {
        this.expirySeconds = expirySeconds;
    }

    public Integer getExpirySeconds() {
        return expirySeconds;
    }

    public abstract boolean checkPoint();
    public abstract String getTypeName();
    public abstract String getLayerType();
    public abstract String getWsLayerName();
    public abstract String getFid();
    public abstract StringBuilder getSimpleFeatureType();
    public abstract SimpleFeature toSimpleFeature(SimpleFeatureBuilder builder, String fid);
    public abstract String[] getPropList();
    public abstract Object[] getValueList();
}
